MFC036 — Liberação de Contas a Pagar
Fonte
- Source:
source/MFC036/
Objetivo
O módulo MFC036 tem como finalidade gerenciar a liberacao de contas a pagar que estao bloqueadas no sistema. Ele permite ao usuario visualizar todas as contas de entrada (TP_CONTAS = 'E') com status bloqueado (ST_BLOQUEADA = 'S'), e realizar a liberacao (desbloqueio) individual de cada conta.
Este módulo resolve o problema de controle de pagamentos bloqueados, permitindo que apenas usuarios autorizados possam liberar contas para pagamento. As contas podem ser bloqueadas por diversos motivos no fluxo de faturamento, e o MFC036 oferece o ponto central de gestao dessas liberacoes.
O MFC036 e utilizado pelo departamento financeiro, tipicamente por supervisores ou gestores que possuem autoridade para liberar pagamentos bloqueados. O módulo tambem registra automaticamente o usuario que realizou a liberacao e a data, alem de permitir a inclusao de um motivo de liberacao quando configurado nos parametros de faturamento.
O módulo apresenta informacoes complementares para auxiliar na tomada de decisao, incluindo centros de resultado associados, parcelas do documento, historico de composicao da conta, observacoes da nota fiscal e o campo de motivo de liberacao.
Funcionalidades
- Filtragem de Contas Bloqueadas
- Visualizacao de Contas Bloqueadas
- Liberacao de Contas
- Consultar Nota Fiscal (CNF001)
- Consultar Conta (CFC001)
Mensagens exibidas
Levantadas de source/MFC036/ pela camada 0 (commit 96fc51e236).
| Código | Tipo | Mensagem |
|---|---|---|
| C-0045 | Confirmação | Deseja Excluir o Registro? |
| W-1412 | Aviso | O Usuário não possui Acesso a Consulta de Notas Fiscais! CNF001] |
| W-1590 | Aviso | O usuário não possui acesso a tela Consulta Contas / Cheques / Adiantamentos! [CFC001] |
Mais 7 mensagens com texto literal no código: MFC036.
Parâmetros lidos
Campos PARM* lidos via values[] em source/MFC036/ (commit 96fc51e236).
| Parâmetro | Tabela |
|---|---|
| ST_MOTLIBERAPEDNOTA | PARMFATUR |
Tabelas de Escrita (INSERT/UPDATE/DELETE)
| Tabela | Operacoes |
|---|---|
| CONTAS | DELETE, INSERT, SELECT, UPDATE |
Tabelas de Leitura (SELECT)
| Tabela | Operacoes |
|---|---|
| ACESSO | SELECT |
| CENTROCUSTO | SELECT |
| CONTASHISTORICO | SELECT |
| CONTASHISTORICOCC | SELECT |
| EMPRESA | SELECT |
| HISTORICO | SELECT |
| ITEMNOTACC | SELECT |
| NOTA | SELECT |
| PARMFATUR | SELECT |
| PESSOA | SELECT |
Procedures Chamadas
| Procedure | Tabelas Acessadas |
|---|---|
| RETORNA_LANCTOCENTROCUSTO | CENTROCUSTO (SELECT), CHEQUE (SELECT), HISTORICO (SELECT), MOVTOCAIXA (SELECT), MOVTOCAIXACC (SELECT), MOVTOPROCESSO (SELECT) +1 |
| VIEW_PLANOCONTAS | CENTROCUSTO (SELECT), CONTASPESSOA (SELECT), PARMCONTABIL (SELECT), PARMSISTEMA (SELECT), PLANOCONTAS (SELECT), PLANOEMPRESA (SELECT) |
Tabelas via Procedures (acesso indireto)
| Tabela | Operacoes |
|---|---|
| CENTROCUSTO | SELECT |
| CHEQUE | SELECT |
| CONTASPESSOA | SELECT |
| HISTORICO | SELECT |
| MOVTOCAIXA | SELECT |
| MOVTOCAIXACC | SELECT |
| MOVTOPROCESSO | SELECT |
| PARMCONTABIL | SELECT |
| PARMSISTEMA | SELECT |
| PLANOCONTAS | SELECT |
| PLANOEMPRESA | SELECT |
| PROCESSO | SELECT |
Dependencias Aferentes (quem alimenta esta tela)
Telas que escrevem em tabelas lidas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| MFC004 | Pagamento / Recebimento de Contas | CONTAS |
| MFC029 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MNF029 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
| CFC010 | Aviso de Liquidação de Duplicatas no SCPC | CONTAS |
| MPD011 | Confirmação Ordem Carregamento | CONTAS |
| MFC019 | Reparcelamento de Contas | CONTAS |
| MFC033 | Gerenciamento Boleto Rápido Junsoft | CONTAS |
| MFC032 | Gerenciamento de Títulos a Pagar | CONTAS |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MFC006 | Estorno de Lançamento de Caixa Avulso / Cheque | CONTAS |
| MPD019 | Gerenciamento de Contrato/Romaneio Obras | CONTAS |
JunsoftServiceFatApp | CONTAS | |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| CPD004 | CONTAS | |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| CNF002 | Troca de Mercadorias | CONTAS |
| MNF033 | Faturamento Agrupado | CONTAS |
| MNF005 | Cancelamento de Notas Fiscais | CONTAS |
| MPD012 | Cancelamento Ordem Carregamento | CONTAS |
| MNF023 | Gerenciamento de Contas de Contratos | CONTAS |
| TRC037 | CONTAS | |
| MNF032 | Importação de XML Transmitido | CONTAS |
| MPD008 | Ordem de Produção Avulsa | CONTAS |
| MFC021 | CONTAS | |
| MFC007 | Estorno de Pagamento / Recebimento de Contas | CONTAS |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
| ... | +74 telas |
Dependencias Eferentes (quem consome dados desta tela)
Telas que leem tabelas escritas por esta tela.
| Tela | Título | Tabelas em Comum |
|---|---|---|
| LCX041 | CONTAS | |
| CFC009 | Consulta/Cancelamento de Reparcelamento | CONTAS |
| MRC026 | Agenda de Pneus | CONTAS |
| LCX040 | CONTAS | |
| MFC003 | Lançamento de Caixa Avulso / Cheque | CONTAS |
| MRC021 | Cancelamento de Ordem de carregamento Recapadora | CONTAS |
RCA004 | Curva ABC de Fornecedores | CONTAS |
TRD012 | CONTAS | |
| RFC013 | Posição Financeira por Período | CONTAS |
| RFC036 | Relação de Receitas x Despesas sobre Duplicatas com Gráfico | CONTAS |
| LNF501 | CONTAS | |
| MNF027 | Cancelamento de Notas Fiscais | CONTAS |
| MCB003 | Integração Contábil | CONTAS |
| RPD006 | Custos sobre Ordem de Serviço | CONTAS |
| RFC017 | Conciliação de Caixa / Banco | CONTAS |
| MRC018 | Emissão de Remessa de Entrada/Saída por Pedido Recapagem | CONTAS |
| MNF002 | Emissão de Nota Fiscal de Venda | CONTAS |
| MNF026 | Troca de Produtos com Emissão de Nota Fiscal | CONTAS |
| LNF141 | CONTAS | |
LDP006 | CONTAS | |
| RPD033 | CONTAS | |
| LNF165 | CONTAS | |
| LNF015 | CONTAS | |
MOF008 | Desbloqueio de Ordens de Serviço - Financeiro | CONTAS |
LDP013 | CONTAS | |
LDP014 | CONTAS | |
LDP022 | CONTAS | |
| CFC013 | Exportação de Arquivo PEFIN | CONTAS |
LDP028 | CONTAS | |
MCA003 | Transferências entre Contratos | CONTAS |
| ... | +323 telas |